Page MenuHomePhabricator

Reduce and stop usage of autonym font
Closed, ResolvedPublic

Description

The autonym font was developed in 2012 to avoid tofus in language name rendering in wiki pages. At that time, there were old operating systems and browsers in usem especially windows XP with less support for languages than Wikipedia has. It was never meant for a long term usage. 4 years later, there is better support for scripts in operating systems, new fonts were developed and are available for users. Language team has decided to gradually reduce its usage and finally retire autonym font. The upstream development for the font has stopped years back and there is no plan or resources to maintain it.

Event Timeline

santhosh created this task.May 17 2016, 4:11 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 4:11 AM

Change 288920 had a related patch set uploaded (by Santhosh):
Stop tofu detection and usage of autonym font

https://gerrit.wikimedia.org/r/288920

santhosh triaged this task as Medium priority.May 17 2016, 4:21 AM
santhosh moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 3 board.
santhosh claimed this task.May 17 2016, 4:25 AM
santhosh moved this task from In Review to In Progress on the Language-Q4-2016-Sprint 3 board.
Nikerabbit updated the task description. (Show Details)May 17 2016, 8:23 AM
Nemo_bis updated the task description. (Show Details)May 23 2016, 7:19 AM
Nemo_bis added a subscriber: Nemo_bis.

there is better support for scripts in operating systems, new fonts were developed and are available for users

Any data?

there is better support for scripts in operating systems, new fonts were developed and are available for users

Any data?

Every new version of operating system adds more rendering capacity and bundles more fonts. See
https://en.wikipedia.org/wiki/List_of_typefaces_included_with_Microsoft_Windows how fonts included changes in every version. For rendering, Universal shaping engine by Microsoft and Harfbuzz are keeping up to support more and more language tags defined as part of Opentype spec

I take that as a "no".

Arrbee added a subscriber: Arrbee.

Moving out of current release

Nemo_bis removed a subscriber: Nemo_bis.Jun 15 2016, 6:54 PM
Danny_B removed a subscriber: Language-Team.

Change 288920 abandoned by Santhosh:
WIP Stop tofu detection and usage of autonym font

Reason:
Not in priority at least for now.

https://gerrit.wikimedia.org/r/288920

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 6:46 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 10:11 PM

Change 390945 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove autonym font and its usage

https://gerrit.wikimedia.org/r/390945

Change 390945 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove autonym font and its usage

https://gerrit.wikimedia.org/r/390945

Arrbee moved this task from Backlog to QA on the Language-2017-Oct-Dec board.Nov 14 2017, 7:16 AM

Checked in cx-testing and cawiki (wmf.8) and compared with wmf.7

Etonkovidova closed this task as Resolved.Nov 15 2017, 11:16 PM
Nikerabbit moved this task from QA to Done on the Language-2017-Oct-Dec board.Nov 16 2017, 8:37 AM